%define up_name check_lm_sensors

Name:       nagios-%{up_name}
Version:    3.1.0
Release:    %mkrel 15
Summary:    A Nagios plugin to monitor sensors values
License:    GPLv2
Group:      Networking/Other
Url:        https://www.id.ethz.ch/
Source:     https://www.id.ethz.ch/people/allid_list/corti/%{up_name}-%{version}.tar.gz
Requires:   hddtemp
Requires:   perl-Nagios-Plugin
BuildArch:  noarch

%description
check_lm_sensors is a Nagios plugin to monitor the values of on board sensors
and hard disk temperatures on Linux systems.

%prep
%setup -q -n %{up_name}-%{version}

sed -i 's|#!perl|#!/usr/bin/perl|' check_lm_sensors

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_lm_sensors %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg <<'EOF'
define command{
	command_name	check_lm_sensors
	command_line	%{_datadir}/nagios/plugins/check_lm_sensors
}
EOF

%files
%doc AUTHORS Changes NEWS README TODO COPYING VERSION
%{_datadir}/nagios/plugins/check_lm_sensors
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg





%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.1.0-15.mga10
+ Revision: 2205319
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.1.0-14.mga9
+ Revision: 1811261
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.1.0-13.mga8
+ Revision: 1522321
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 3.1.0-12.mga7
+ Revision: 1360403
- fix perl shebang

* Wed Sep 19 2018 umeabot <umeabot> 3.1.0-11.mga7
+ Revision: 1264636
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.1.0-10.mga6
+ Revision: 939782
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-9.mga5
+ Revision: 745787
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.0-8.mga5
+ Revision: 682770
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1.0-7.mga4
+ Revision: 508109
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-6.mga3
+ Revision: 360699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 3.1.0-5.mga1
+ Revision: 62922
- imported package nagios-check_lm_sensors


* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-5mdv2011.0
+ Revision: 620459
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 3.1.0-4mdv2010.0
+ Revision: 440201
- rebuild

* Mon Dec 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-3mdv2009.1
+ Revision: 314635
- now a noarch package

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.1.0-2mdv2009.0
+ Revision: 268243
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 218048
- import nagios-check_lm_sensors


* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-1mdv2009.0
- first mdv package
